# Uses of Class
org.apache.commons.math3.geometry.euclidean.threed.Line

Packages that use Line
Package
Description
org.apache.commons.math3.geometry.euclidean.threed
This package provides basic 3D geometry components.

## Uses of Line in org.apache.commons.math3.geometry.euclidean.threed

Methods in org.apache.commons.math3.geometry.euclidean.threed that return Line
Modifier and Type
Method
Description
`Line`
Segment.`getLine()`
Get the line containing the segment.
`Line`
Plane.`intersection(Plane other)`
Build the line shared by the instance and another plane.
`Line`
Line.`revert()`
Get a line with reversed direction.
Methods in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Line
Modifier and Type
Method
Description
`Vector3D`
Line.`closestPoint(Line line)`
Compute the point of the instance closest to another line.
`double`
Line.`distance(Line line)`
Compute the shortest distance between the instance and another line.
`SubHyperplane<Euclidean3D>`
PolyhedronsSet.`firstIntersection(Vector3D point, Line line)`
Get the first sub-hyperplane crossed by a semi-infinite line.
`Vector3D`
Line.`intersection(Line line)`
Get the intersection point of the instance and another line.
`Vector3D`
Plane.`intersection(Line line)`
Get the intersection of a line with the instance.
`boolean`
Line.`isSimilarTo(Line line)`
Check if the instance is similar to another line.
Constructors in org.apache.commons.math3.geometry.euclidean.threed with parameters of type Line
Modifier
Constructor
Description
``
`Line(Line line)`
Copy constructor.
``
`Segment(Vector3D start, Vector3D end, Line line)`
Build a segment.
``
`SubLine(Line line, IntervalsSet remainingRegion)`
Simple constructor.